Bug 5717 - Some search results appear as "No Title" when zebraqueue is used instead rebuild_zebra.pl
Summary: Some search results appear as "No Title" when zebraqueue is used instead rebu...
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Frédérick Capovilla
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-08 18:25 UTC by Frédérick Capovilla
Modified: 2012-10-26 00:41 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Adds the record fixing subroutines from rebuild_zebra.pl in zebraqueue_daemon.pl (4.78 KB, patch)
2011-02-08 18:25 UTC, Frédérick Capovilla
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédérick Capovilla 2011-02-08 18:25:43 UTC
Created attachment 3099 [details] [review]
Adds the record fixing subroutines from rebuild_zebra.pl in zebraqueue_daemon.pl

When using zebraqueue to watch our MARC records, we sometimes encountered results showing "No Title". Those records had no biblionumber because they were not  returned correctly by Zebra. We also noticed that the problem was only noticeable after a record was modified, which caused it to be reindexed by zebraqueue.

I noticed that zebraqueue wasn't using the fix_leader, fix_biblio_ids, fix_authority_id and fix_unimarc_100 subroutines that can be found in rebuild_zebra.pl .

I added and used these subroutines in zebraqueue_daemon.pl so zebraqueue would do the same modifications that rebuild_zebra.pl did on the records sent to Zebra. 
This change seems to have fixed the problem in my Koha instances, the "No Title" records are now shown correctly in the search results.

A patch containing my modifications is attached.
Comment 1 Frédéric Demians 2011-05-13 16:41:00 UTC
> zebraqueue_daemon.pl

Isn't zebraqueue_daemon.pl deprecated in favour of rebuild_zebra.pl?
Comment 2 Frédérick Capovilla 2011-05-19 15:05:20 UTC
(In reply to comment #1)
> > zebraqueue_daemon.pl
> 
> Isn't zebraqueue_daemon.pl deprecated in favour of rebuild_zebra.pl?

It seems to be deprecated because of memory leak problems. 
I also stopped using it and use rebuild_zebra.pl on my Koha instances right now.

I left this patch here in case it may help peoples who would still want to use zebraqueue_daemon.pl